Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.io
Class StreamOutputSynapse

    java.lang.Object
      org.joone.engine.Synapse
          org.joone.io.StreamOutputSynapse

All Implemented Interfaces:
  java.io.Serializable, InputPatternListener, Learnable, LearnableSynapse, NeuralElement, OutputPatternListener, Inspectable, PlugInListener

Direct Known Subclasses:
  FileOutputSynapse, ImageOutputSynapse, JDBCOutputSynapse, MemoryOutputSynapse, XLSOutputSynapse

    public abstract class StreamOutputSynapse

extends Synapse
implements PlugInListener

See Also:
  Serialized Form

Field Summary
`protected Fifo` | `fifo`
`protected OutputConverterPlugIn` | `nextPlugIn`

Fields inherited from class org.joone.engine.Synapse
`array, b_pattern, bitems, bouts, count, enabled, fwdLock, inps, items, learnable, m_batch, m_pattern, myLearner, notFirstTime, notFirstTimeB, outs, revLock`

Constructor Summary
`StreamOutputSynapse()`

Method Summary
`boolean` | `addPlugIn(OutputConverterPlugIn aNewPlugIn)` Adds a plug in to the stream output synapse for data preprocessing.
`protected void` | `backward(double[] pattern)` Funzione di TRAIN dell'elemento.
`java.util.TreeSet` | `check()` Base for check messages.
`void` | `dataChanged(PlugInEvent data)` This method is called by plug-ins whenever data is changed.
`protected void` | `forward(double[] pattern)` Recall function
`void` | `fwdPut(Pattern pattern)` The standard fwdPut method.
`protected Fifo` | `getFifo()` Getter for property fifo.
`OutputConverterPlugIn` | `getPlugIn()`
`char` | `getSeparator()` Returns the column separator creation date: (23/04/00 0.50.18)
`boolean` | `isBuffered()` Checks the buffered status of this synapse.
`void` | `removeAllPlugIns()` Removes (and disconnects) all (cascading) plug-ins.
`Pattern` | `revGet()` Returns the error pattern coming from the next layer during the training phase
`protected void` | `setArrays(int rows, int cols)` setArrays method comment.
`void` | `setBuffered(boolean buf)` Sets the buffered status of this synapse.
`protected void` | `setDimensions(int rows, int cols)` Dimensiona l'elemento
`boolean` | `setPlugIn(OutputConverterPlugIn newPlugIn)` Deprecated. use `addPlugIn(OutputConverterPlugIn)`
`void` | `setSeparator(char newSeparator)` Inserire qui la descrizione del metodo.
`abstract void` | `write(Pattern pattern)` Custom xxxOutputSynapses need to implement at least this method.

Methods inherited from class org.joone.engine.Synapse
`addNoise, canCountSteps, fwdGet, getFwdLock, getIgnoreBefore, getInputDimension, getLearner, getLearningRate, getMomentum, getMonitor, getName, getOutputDimension, getRevLock, getWeights, init, initLearner, InspectableTitle, Inspections, isEnabled, isInputFull, isLoopBack, isOutputFull, randomize, readResolve, reset, revPut, setEnabled, setIgnoreBefore, setInputDimension, setInputFull, setLearningRate, setLoopBack, setMomentum, setMonitor, setName, setOutputDimension, setOutputFull, setWeights`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fifo

    protected transient Fifo fifo

### nextPlugIn

    protected OutputConverterPlugIn nextPlugIn

Constructor Detail

### StreamOutputSynapse

    public StreamOutputSynapse()

Method Detail

### backward

    protected void backward(double[] pattern)

  Description copied from class: `Synapse`
  Funzione di TRAIN dell'elemento.

  Specified by:
    `backward` in class `Synapse`
  Parameters:
    `pattern` - double[] - pattern di input sul quale applicare la funzione di trasferimento

### forward

    protected void forward(double[] pattern)

  Description copied from class: `Synapse`
  Recall function

  Specified by:
    `forward` in class `Synapse`
  Parameters:
    `pattern` - double[] - input pattern

### fwdPut

    public void fwdPut(Pattern pattern)

  The standard fwdPut method. This method performs buffering of pattern data if required according to the buffered flag. If buffered mode is set then the default multiple writing method write(Pattern [] patterns) method is called to loop through all the patterns calling the single pattern writing abstract method write(Pattern pattern) to write the pattern to the appropriate media. If the synapse is not in buffered mode then the pattern is simply passed to the single pattern writing abstract method write(Pattern pattern) to write the pattern to the appropriate media. Custom xxxOutputSynapse classes can over ride this method if they would like to perform a custom buffering implementation. In this case it will be the responsiblity of the custom class to ensure all patterns are output correctly and any conversion is done prior to writing data.

  Specified by:
    `fwdPut` in interface `OutputPatternListener`
  Overrides:
    `fwdPut` in class `Synapse`
  Parameters:
    `pattern` - neural.engine.Pattern

### write

    public abstract void write(Pattern pattern)

  Custom xxxOutputSynapses need to implement at least this method. The custom synapse should write the pattern out to the appropriate media. All patterns including the ending pattern with pattern.getCount()=-1 will be passed to this method so that custom output synapses can perform final processing.

### getSeparator

    public char getSeparator()

  Returns the column separator creation date: (23/04/00 0.50.18)

  Returns:
    char

### revGet

    public Pattern revGet()

  Description copied from interface: `OutputPatternListener`
  Returns the error pattern coming from the next layer during the training phase

  Specified by:
    `revGet` in interface `OutputPatternListener`
  Overrides:
    `revGet` in class `Synapse`
  Returns:
    neural.engine.Pattern

### setArrays

    protected void setArrays(int rows,
                             int cols)

  setArrays method comment.

  Specified by:
    `setArrays` in class `Synapse`

### setDimensions

    protected void setDimensions(int rows,
                                 int cols)

  Dimensiona l'elemento

  Specified by:
    `setDimensions` in class `Synapse`
  Parameters:
    `int` - rows - righe
    `int` - cols - colonne

### setSeparator

    public void setSeparator(char newSeparator)

  Inserire qui la descrizione del metodo. Data di creazione: (23/04/00 0.50.18)

  Parameters:
    `newSeparator` - char

### setBuffered

    public void setBuffered(boolean buf)

  Sets the buffered status of this synapse.

### isBuffered

    public boolean isBuffered()

  Checks the buffered status of this synapse.

### check

    public java.util.TreeSet check()

  Description copied from class: `Synapse`
  Base for check messages. Subclasses should call this method from thier own check method.

  Specified by:
    `check` in interface `NeuralElement`
  Overrides:
    `check` in class `Synapse`
  Returns:
    validation errors.
  See Also:
    `InputPaternListener`, `OutputPaternListener`

### getFifo

    protected Fifo getFifo()

  Getter for property fifo.

  Returns:
    Value of property fifo.

### getPlugIn

    public OutputConverterPlugIn getPlugIn()

  Returns:
    neural.engine.ConverterPlugIn

### setPlugIn

    public boolean setPlugIn(OutputConverterPlugIn newPlugIn)

  Deprecated. use `addPlugIn(OutputConverterPlugIn)`

  Sets the plugin for the data postprocessing

  Parameters:
    `newPlugIn` - neural.engine.OutputConverterPlugIn

### addPlugIn

    public boolean addPlugIn(OutputConverterPlugIn aNewPlugIn)

  Adds a plug in to the stream output synapse for data preprocessing. If one or more plug ins are already added to the this synapse, the plug in will be added at the end of the list of plug ins.

  Parameters:
    `aNewPlugIn` - The new converter plug in to add (at the end of the list).
  Returns:
    `true` when the plug in is added, `false` when the plug in is not added, e.g. in case the plug in is already added / connected to another synapse.

### removeAllPlugIns

    public void removeAllPlugIns()

  Removes (and disconnects) all (cascading) plug-ins.

### dataChanged

    public void dataChanged(PlugInEvent data)

  Description copied from interface: `PlugInListener`
  This method is called by plug-ins whenever data is changed.

  Specified by:
    `dataChanged` in interface `PlugInListener`
  Parameters:
    `data` - the event that is send, i.e. the event indicating that the data is changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net